Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		dsi
Version:	1.0.7
Release:	alt2_18
Summary:	Invading aliens type game
License:	GPLv2+
URL:		http://interlinux.org.uk
Source0:	http://downloads.sourceforge.net/dspaceinvadors/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	libSDL-devel >= 1.2.4
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	desktop-file-utils
Source44: import.info
       
%description
dsi is a simple game of invading aliens. You must stop those aliens from
landing on you. It features: smooth scrolling, high scores, 5 levels, simple
controls, sound effects, strategic game play, and a tiny footprint. The
graphics can be customized out of the box, without requiring any recompiling.
A simple definition file can be customized for coders.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_datadir}/applications/DSI.desktop \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ravi Srinivasan <ravishankar.srinivasan@gmail.com> -->
<!--
EmailAddress: https://sourceforge.net/u/dbrasher28/profile/
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">dsi.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>A simple 2D scrolling game where you stop aliens from landing on you</summary>
  <description>
    <p>
      dsi or dspaceinvadors is a simple 2D scrolling game where you prevent
      aliens landing on top of you.
    </p>
    <p>
      It has simple controls, 5 levels, a smooth scrolling experience, sound
      effects and customizable graphics.
    </p>
  </description>
  <url type="homepage">http://sourceforge.net/projects/dspaceinvadors/</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/dsi/a.png</screenshot>
    <screenshot><!--screenshot url here--></screenshot>
    <screenshot><!--screenshot url here--></screenshot>
  </screenshots>
</application>
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/DSI
%dir %{_sharedstatedir}/games/%{name}/
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/alien.png
%attr(664,root,games) %{_sharedstatedir}/games/%{name}/hiscore
%doc COPYING README TODO ChangeLog

%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_18
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_16
- update to new release by fcimport

* Sat Jun 16 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_15
- fc update

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_10
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_9
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_5
- update to new release by fcimport

* Sat Dec 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt2_4
- fixed score location

* Sat Dec 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt1_4
- fc import

